%
%    Copyright (C) 2008  Colin Caprani - www.colincaprani.com
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.

% Envelope Module to ContBeam - CBA_Env

% Example 9: 4-span beam. The ancilliary program, CBA_Env is used to
% calculate the design envelopes from load patterning. Load factors are
% MAX = 1.4Gk + 1.6Qk and MIN = 0.9Gk. Two load matrices are required as
% input, the dead load matrix and the imposed load matrix:

L = [6,8,6,8];
E = 30;
I = [100e8,100e8,100e8,100e8];
R = [-1,0,-1,0,-1,0,-1,0,-1,0];
LMg = [1,1,20,0,0;
       2,1,20,0,0;
       3,1,20,0,0;
       4,1,20,0,0];
LMq = [1,1,30,0,0;
       2,1,30,0,0;
       3,1,20,0,0;
       4,1,30,0,0];
CBA_Env(L,E,I,R,LMg,LMq);